var cboxElements = ["clearCache", "clearHistory"];

DEBUG=true

function myAlert(msg) {
    if (DEBUG) {
	alert(msg);
    }
}

function onDialogLoad()
{
    try {
	var prefs = Components.classes["@mozilla.org/preferences-service;1"].
	    getService(Components.interfaces.nsIPrefBranch);
	for (var i = 0; i < cboxElements.length; ++i) {
	    var checkbox = document.getElementById(cboxElements[i]);
	    var prefstring = checkbox.getAttribute("prefstring");
	    checkbox.checked = prefs.getBoolPref(prefstring);
	}
    } catch(e) {
	myAlert(e + "Failed to load prefs.");
    }
}

function onDialogAccept()
{
    try {
	var prefs = Components.classes["@mozilla.org/preferences-service;1"].
	    getService(Components.interfaces.nsIPrefBranch);
	for (var i = 0; i < cboxElements.length; ++i) {
	    var checkbox = document.getElementById(cboxElements[i]);
	    var prefstring = checkbox.getAttribute("prefstring");
	    prefs.setBoolPref(prefstring, checkbox.checked);
	}
    } catch(e) {
	myAlert(e + "Failed to set prefs.");
    }
}

